EDIT - bug #9470

CollectionDTO constructor prevent from circles
02/16/2021 07:30 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

The constructor of CollectionDTO is being called recursively, to initialize also super collections.
Prevent from endless loops in case of circular graphs, These are data errors.

Associated revisions

Revision 85d748e1 - 02/16/2021 07:38 AM - Andreas Kohlbecker

fix #9470 preventing circular calls of CollectionDTO constructor

History

#1 - 02/16/2021 07:38 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|85d748e1311f1b1045ea33d07ebf5f0beb55e359.

#2 - 03/01/2021 04:08 PM - Andreas Kohlbecker

- Description updated

#3 - 03/01/2021 04:09 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
